<div class="center-element width-full">
    <canvas id="${_id}"></canvas>
</div>
#{set 'moreStyles'}
<style>
    class$="-legend"] {
        list-style: none;
        cursor: pointer;
        padding-left: 0;
    }

    [class$="-legend"] li {
        display: flex !important;
        padding: 0 5px;
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        padding-bottom: 5px;
        line-height: 21px;
        color: #000000;
    }

    [class$="-legend"] li.hidden {
        text-decoration: line-through;
    }

    [class$="-legend"] li span {
        border-radius: 10px;
        padding-right: 18px;
        display: inline-block;
        height: 18px;
        margin-right: 10px;
        width: 18px;
    }

    .center-element {margin: auto;width: 50%;padding: 10px;}
canvas{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;}
</style>
#{/set}
#{set _scriptName == null ? 'chartScripts' : _scriptName}
<script src="@{'/public/vendor/chart/dist/Chart.bundle.min.js'}"></script>
<script>
    var colors =  [
        '#84B2FD','#13A2B4', '#14626B', '#6A91FF',
        '#3ECF90', '#E24858', '#E4A118', '#000000'
    ]
    var ctx = document.getElementById('${_id}').getContext('2d');
    var myChart = new Chart(ctx, {
        type: 'line',
        data: {
            labels: [#{list items: _chartable.labels, as: 'label'} '${label}', #{/list}],
            datasets: [
                #{list items: _chartable.datasets, as: 'dataset'}
                    {
                        label: '${dataset.label}',
                        fill: false,
                        data: [#{list items: dataset.data, as: 'data'} '${data}', #{/list}],
                        borderColor: colors[${dataset.number-1}],
                        backgroundColor: colors[${dataset.number-1}],
                        pointBackgroundColor: [#{list items: dataset.data, as: 'data'} colors[${dataset.number-1}], #{/list}],
                        pointBorderColor: [#{list items: dataset.data, as: 'data'} colors[${dataset.number-1}], #{/list}],
                        borderWidth: 3
                    },
                #{/list}
            ]
        },
        options: {
                    responsive: true,
                    legend: {
                        display: ${ _legend == null || _legend},
                        position: 'bottom',
                        labels : {
                            fontSize:14,
                        },
                    },
                    title: {
                        display: true,
                        text: '${_title}',
                        fontSize: 18,
                    },
                    tooltips: {
                        mode: 'index',
                        intersect: false,
                        #{if _money}
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                        return formatCurrenciesJuta(value);
                                }
                            }
                        #{/if}
                        #{else}
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                    return formatNumberIndonesia(value);
                                }
                            }
                        #{/else}
                    },
                    hover: {
                        mode: 'nearest',
                        intersect: true
                    },
                    scales: {
                        xAxes: [{
                            display: true,
                            ticks: {
                                fontSize: 14
                            },
                            scaleLabel: {
                                display: true,
                                labelString: '${_xLabel}',
                                fontSize: 14
                            }
                        }],
                        yAxes: [{
                            display: true,
                            ticks: {
                                fontSize: 14,
                                #{if _money}
                                callback: function(label, index, labels) {
                                    return formatCurrenciesJuta(label)
                                },
                                #{/if}
                            },
                            scaleLabel: {
                                display: true,
                                labelString: '${_yLabel}',
                                fontSize: 14
                            }
                        }]
                    }
        }
    });
    #{if _legend !=  null }
    var myLegendContainer = document.getElementById("legend");
    // generate HTML legend
    myLegendContainer.innerHTML = myChart.generateLegend();
    #{/if}
</script>
#{/set}